.text-container {
  max-width: 70ch;
  margin-left: auto;
  margin-right: auto;
}

h2 {
  margin-top: 3rem;
}

h3 {
  margin-top: 3rem;
}

h4 {
  margin-top: 2rem;
}

:target {
  animation: flash-color 4s;
}

@keyframes flash-color {
  0% {
    color: orangered;
  }
  to {
    color: #000;
  }
}

/*
Add classes .ss-tooltip and either .fade, .expand or .swing to item.
Specify text via the title-data attribute
*/
.ss-tooltip {
  position: relative;
}
.ss-tooltip:before, .ss-tooltip:after {
  display: block;
  opacity: 0;
  pointer-events: none;
  position: absolute;
}
.ss-tooltip:after {
  border-right: 6px solid transparent;
  border-bottom: 6px solid rgba(0, 0, 0, 0.75);
  border-left: 6px solid transparent;
  content: "";
  height: 0;
  top: 20px;
  left: 20px;
  width: 0;
}
.ss-tooltip:before {
  background: rgba(0, 0, 0, 0.75);
  border-radius: 2px;
  color: #fff;
  content: attr(data-title);
  font-size: 14px;
  padding: 6px 10px;
  top: 26px;
  white-space: pre-wrap;
  z-index: 10;
}
.ss-tooltip.fade:after, .ss-tooltip.fade:before {
  transform: translate3d(0, -10px, 0);
  transition: all 0.15s ease-in-out;
}
.ss-tooltip.fade:hover:after, .ss-tooltip.fade:hover:before {
  opacity: 1;
  transform: translate3d(0, 0, 0);
}
.ss-tooltip.expand:before {
  transform: scale3d(0.2, 0.2, 1);
  transition: all 0.2s ease-in-out;
}
.ss-tooltip.expand:after {
  transform: translate3d(0, 6px, 0);
  transition: all 0.1s ease-in-out;
}
.ss-tooltip.expand:hover:before, .ss-tooltip.expand:hover:after {
  opacity: 1;
  transform: scale3d(1, 1, 1);
}
.ss-tooltip.expand:hover:after {
  transition: all 0.2s 0.1s ease-in-out;
}
.ss-tooltip.swing:before, .ss-tooltip.swing:after {
  transform: translate3d(0, 30px, 0) rotate3d(0, 0, 1, 60deg);
  transform-origin: 0 0;
  transition: transform 0.15s ease-in-out, opacity 0.2s;
}
.ss-tooltip.swing:after {
  transform: translate3d(0, 60px, 0);
  transition: transform 0.15s ease-in-out, opacity 0.2s;
}
.ss-tooltip.swing:hover:before, .ss-tooltip.swing:hover:after {
  opacity: 1;
  transform: translate3d(0, 0, 0) rotate3d(1, 1, 1, 0deg);
}

.node-table tr th {
  text-align: right;
}
.node-table tr td {
  padding: 0.3em;
}
